Compress for IMS and Upgrading to IMS v13

Document ID : KB000046191
Last Modified Date : 14/02/2018
Show Technical Document Details

 

Introduction:

Upgrading to IMS v13

Question:

We will be upgradng to IMS v13. Will our Compress for IMS 5.3.4
will be compatible with our IMS upgrade?

Environment: 

Compress for IMS 5.3.4, and IMS v13 

 

Answer: 

Compress for IMS 5.3.4(also known as Compress for IMS 5.2.5), 
has not been supported since 10/31/2014. 
 
CA Compress Data Compression for IMS is now distributed as a part of the
CA Database Management Solutions for IMS for z/OS in the r15. r16, r18, and r19 releases. The 
r15. r16, r18, and r19 releases of the IMS segment compression product is installed with the 
other CA Database Management Solution products and, as such, has improved 
the ease of installation and maintenance. 
 
IMSv13, is supported by CA Database Management Solutions for IMS for z/OS in the r16, r18, and r19 releases,
with PTF's.

 

Additional Information:

The following PTF's are needed to be compatible with IMSv13. 
 
CA Database Management Solutions for IMS for z/OS 16.0 
 
Fix Category: CA.TargetSystem-RequiredService.IMS.V13 
IMS Change Accumulation (CCHAG00) ?RO76788 RO76821 
IMS Toolkit Common Component (CITKG00) ?RO62221 
 
CA Database Management Solutions for IMS for z/OS 18.0 
 
Fix Category: CA.TargetSystem-RequiredService.IMS.V13 
CA Mainframe Configuration Manager (CEW6I00) ?RO84154 
 
CA Database Management Solutions for IMS for z/OS 19.0 
 
Fix Category: CA.TargetSystem-RequiredService.IMS.V13 
CA Mainframe Configuration Manager (CEW6J00) ?RO84096 
 
If you only run Compress for IMS, you will still download the whole product, but will need an LMP key to run it.